//! HTML elements support
pub(crate) mod a;
pub(crate) mod abbr;
pub(crate) mod address;
pub(crate) mod area;
pub(crate) mod article;
pub(crate) mod aside;
pub(crate) mod audio;
pub(crate) mod b;
pub(crate) mod base;
pub(crate) mod bdi;
pub(crate) mod bdo;
pub(crate) mod blockquote;
pub(crate) mod body;
pub(crate) mod br;
pub(crate) mod button;
pub(crate) mod canvas;
pub(crate) mod caption;
pub(crate) mod cite;
pub(crate) mod code;
pub(crate) mod col;
pub(crate) mod colgroup;
pub(crate) mod data;
pub(crate) mod datalist;
pub(crate) mod dd;
pub(crate) mod del;
pub(crate) mod details;
pub(crate) mod dfn;
pub(crate) mod dialog;
pub(crate) mod div;
pub(crate) mod dl;
pub(crate) mod dt;
pub(crate) mod em;
pub(crate) mod embed;
pub(crate) mod fieldset;
pub(crate) mod figcaption;
pub(crate) mod figure;
pub(crate) mod footer;
pub(crate) mod form;
pub(crate) mod h1;
pub(crate) mod h2;
pub(crate) mod h3;
pub(crate) mod h4;
pub(crate) mod h5;
pub(crate) mod h6;
pub(crate) mod head;
pub(crate) mod header;
pub(crate) mod hgroup;
pub(crate) mod hr;
pub(crate) mod html;
pub(crate) mod i;
pub(crate) mod iframe;
pub(crate) mod img;
pub(crate) mod input;
pub(crate) mod ins;
pub(crate) mod kbd;
pub(crate) mod label;
pub(crate) mod legend;
pub(crate) mod li;
pub(crate) mod link;
pub(crate) mod main;
pub(crate) mod map;
pub(crate) mod mark;
pub(crate) mod menu;
pub(crate) mod meta;
pub(crate) mod meter;
pub(crate) mod nav;
pub(crate) mod noscript;
pub(crate) mod object;
pub(crate) mod ol;
pub(crate) mod optgroup;
pub(crate) mod option;
pub(crate) mod output;
pub(crate) mod p;
pub(crate) mod picture;
pub(crate) mod pre;
pub(crate) mod progress;
pub(crate) mod q;
pub(crate) mod rp;
pub(crate) mod rt;
pub(crate) mod ruby;
pub(crate) mod s;
pub(crate) mod samp;
pub(crate) mod script;
pub(crate) mod search;
pub(crate) mod section;
pub(crate) mod select;
pub(crate) mod slot;
pub(crate) mod small;
pub(crate) mod source;
pub(crate) mod span;
pub(crate) mod strong;
pub(crate) mod style;
pub(crate) mod sub;
pub(crate) mod summary;
pub(crate) mod sup;
pub(crate) mod table;
pub(crate) mod tbody;
pub(crate) mod td;
pub(crate) mod template;
pub(crate) mod textarea;
pub(crate) mod tfoot;
pub(crate) mod th;
pub(crate) mod thead;
pub(crate) mod time;
pub(crate) mod title;
pub(crate) mod tr;
pub(crate) mod track;
pub(crate) mod u;
pub(crate) mod ul;
pub(crate) mod var;
pub(crate) mod video;
pub(crate) mod wbr;
/// All auto-generated items in this crate
#[allow(unused)]
pub(crate) mod all {
    pub(crate) use crate::generated::a::element::*;
    pub(crate) use crate::generated::abbr::element::*;
    pub(crate) use crate::generated::address::element::*;
    pub(crate) use crate::generated::area::element::*;
    pub(crate) use crate::generated::article::element::*;
    pub(crate) use crate::generated::aside::element::*;
    pub(crate) use crate::generated::audio::element::*;
    pub(crate) use crate::generated::b::element::*;
    pub(crate) use crate::generated::base::element::*;
    pub(crate) use crate::generated::bdi::element::*;
    pub(crate) use crate::generated::bdo::element::*;
    pub(crate) use crate::generated::blockquote::element::*;
    pub(crate) use crate::generated::body::element::*;
    pub(crate) use crate::generated::br::element::*;
    pub(crate) use crate::generated::button::element::*;
    pub(crate) use crate::generated::canvas::element::*;
    pub(crate) use crate::generated::caption::element::*;
    pub(crate) use crate::generated::cite::element::*;
    pub(crate) use crate::generated::code::element::*;
    pub(crate) use crate::generated::col::element::*;
    pub(crate) use crate::generated::colgroup::element::*;
    pub(crate) use crate::generated::data::element::*;
    pub(crate) use crate::generated::datalist::element::*;
    pub(crate) use crate::generated::dd::element::*;
    pub(crate) use crate::generated::del::element::*;
    pub(crate) use crate::generated::details::element::*;
    pub(crate) use crate::generated::dfn::element::*;
    pub(crate) use crate::generated::dialog::element::*;
    pub(crate) use crate::generated::div::element::*;
    pub(crate) use crate::generated::dl::element::*;
    pub(crate) use crate::generated::dt::element::*;
    pub(crate) use crate::generated::em::element::*;
    pub(crate) use crate::generated::embed::element::*;
    pub(crate) use crate::generated::fieldset::element::*;
    pub(crate) use crate::generated::figcaption::element::*;
    pub(crate) use crate::generated::figure::element::*;
    pub(crate) use crate::generated::footer::element::*;
    pub(crate) use crate::generated::form::element::*;
    pub(crate) use crate::generated::h1::element::*;
    pub(crate) use crate::generated::h2::element::*;
    pub(crate) use crate::generated::h3::element::*;
    pub(crate) use crate::generated::h4::element::*;
    pub(crate) use crate::generated::h5::element::*;
    pub(crate) use crate::generated::h6::element::*;
    pub(crate) use crate::generated::head::element::*;
    pub(crate) use crate::generated::header::element::*;
    pub(crate) use crate::generated::hgroup::element::*;
    pub(crate) use crate::generated::hr::element::*;
    pub(crate) use crate::generated::html::element::*;
    pub(crate) use crate::generated::i::element::*;
    pub(crate) use crate::generated::iframe::element::*;
    pub(crate) use crate::generated::img::element::*;
    pub(crate) use crate::generated::input::element::*;
    pub(crate) use crate::generated::ins::element::*;
    pub(crate) use crate::generated::kbd::element::*;
    pub(crate) use crate::generated::label::element::*;
    pub(crate) use crate::generated::legend::element::*;
    pub(crate) use crate::generated::li::element::*;
    pub(crate) use crate::generated::link::element::*;
    pub(crate) use crate::generated::main::element::*;
    pub(crate) use crate::generated::map::element::*;
    pub(crate) use crate::generated::mark::element::*;
    pub(crate) use crate::generated::menu::element::*;
    pub(crate) use crate::generated::meta::element::*;
    pub(crate) use crate::generated::meter::element::*;
    pub(crate) use crate::generated::nav::element::*;
    pub(crate) use crate::generated::noscript::element::*;
    pub(crate) use crate::generated::object::element::*;
    pub(crate) use crate::generated::ol::element::*;
    pub(crate) use crate::generated::optgroup::element::*;
    pub(crate) use crate::generated::option::element::*;
    pub(crate) use crate::generated::output::element::*;
    pub(crate) use crate::generated::p::element::*;
    pub(crate) use crate::generated::picture::element::*;
    pub(crate) use crate::generated::pre::element::*;
    pub(crate) use crate::generated::progress::element::*;
    pub(crate) use crate::generated::q::element::*;
    pub(crate) use crate::generated::rp::element::*;
    pub(crate) use crate::generated::rt::element::*;
    pub(crate) use crate::generated::ruby::element::*;
    pub(crate) use crate::generated::s::element::*;
    pub(crate) use crate::generated::samp::element::*;
    pub(crate) use crate::generated::script::element::*;
    pub(crate) use crate::generated::search::element::*;
    pub(crate) use crate::generated::section::element::*;
    pub(crate) use crate::generated::select::element::*;
    pub(crate) use crate::generated::slot::element::*;
    pub(crate) use crate::generated::small::element::*;
    pub(crate) use crate::generated::source::element::*;
    pub(crate) use crate::generated::span::element::*;
    pub(crate) use crate::generated::strong::element::*;
    pub(crate) use crate::generated::style::element::*;
    pub(crate) use crate::generated::sub::element::*;
    pub(crate) use crate::generated::summary::element::*;
    pub(crate) use crate::generated::sup::element::*;
    pub(crate) use crate::generated::table::element::*;
    pub(crate) use crate::generated::tbody::element::*;
    pub(crate) use crate::generated::td::element::*;
    pub(crate) use crate::generated::template::element::*;
    pub(crate) use crate::generated::textarea::element::*;
    pub(crate) use crate::generated::tfoot::element::*;
    pub(crate) use crate::generated::th::element::*;
    pub(crate) use crate::generated::thead::element::*;
    pub(crate) use crate::generated::time::element::*;
    pub(crate) use crate::generated::title::element::*;
    pub(crate) use crate::generated::tr::element::*;
    pub(crate) use crate::generated::track::element::*;
    pub(crate) use crate::generated::u::element::*;
    pub(crate) use crate::generated::ul::element::*;
    pub(crate) use crate::generated::var::element::*;
    pub(crate) use crate::generated::video::element::*;
    pub(crate) use crate::generated::wbr::element::*;
    /// All auto-generated builders
    pub mod builders {
        pub(crate) use crate::generated::a::builder::*;
        pub(crate) use crate::generated::abbr::builder::*;
        pub(crate) use crate::generated::address::builder::*;
        pub(crate) use crate::generated::area::builder::*;
        pub(crate) use crate::generated::article::builder::*;
        pub(crate) use crate::generated::aside::builder::*;
        pub(crate) use crate::generated::audio::builder::*;
        pub(crate) use crate::generated::b::builder::*;
        pub(crate) use crate::generated::base::builder::*;
        pub(crate) use crate::generated::bdi::builder::*;
        pub(crate) use crate::generated::bdo::builder::*;
        pub(crate) use crate::generated::blockquote::builder::*;
        pub(crate) use crate::generated::body::builder::*;
        pub(crate) use crate::generated::br::builder::*;
        pub(crate) use crate::generated::button::builder::*;
        pub(crate) use crate::generated::canvas::builder::*;
        pub(crate) use crate::generated::caption::builder::*;
        pub(crate) use crate::generated::cite::builder::*;
        pub(crate) use crate::generated::code::builder::*;
        pub(crate) use crate::generated::col::builder::*;
        pub(crate) use crate::generated::colgroup::builder::*;
        pub(crate) use crate::generated::data::builder::*;
        pub(crate) use crate::generated::datalist::builder::*;
        pub(crate) use crate::generated::dd::builder::*;
        pub(crate) use crate::generated::del::builder::*;
        pub(crate) use crate::generated::details::builder::*;
        pub(crate) use crate::generated::dfn::builder::*;
        pub(crate) use crate::generated::dialog::builder::*;
        pub(crate) use crate::generated::div::builder::*;
        pub(crate) use crate::generated::dl::builder::*;
        pub(crate) use crate::generated::dt::builder::*;
        pub(crate) use crate::generated::em::builder::*;
        pub(crate) use crate::generated::embed::builder::*;
        pub(crate) use crate::generated::fieldset::builder::*;
        pub(crate) use crate::generated::figcaption::builder::*;
        pub(crate) use crate::generated::figure::builder::*;
        pub(crate) use crate::generated::footer::builder::*;
        pub(crate) use crate::generated::form::builder::*;
        pub(crate) use crate::generated::h1::builder::*;
        pub(crate) use crate::generated::h2::builder::*;
        pub(crate) use crate::generated::h3::builder::*;
        pub(crate) use crate::generated::h4::builder::*;
        pub(crate) use crate::generated::h5::builder::*;
        pub(crate) use crate::generated::h6::builder::*;
        pub(crate) use crate::generated::head::builder::*;
        pub(crate) use crate::generated::header::builder::*;
        pub(crate) use crate::generated::hgroup::builder::*;
        pub(crate) use crate::generated::hr::builder::*;
        pub(crate) use crate::generated::html::builder::*;
        pub(crate) use crate::generated::i::builder::*;
        pub(crate) use crate::generated::iframe::builder::*;
        pub(crate) use crate::generated::img::builder::*;
        pub(crate) use crate::generated::input::builder::*;
        pub(crate) use crate::generated::ins::builder::*;
        pub(crate) use crate::generated::kbd::builder::*;
        pub(crate) use crate::generated::label::builder::*;
        pub(crate) use crate::generated::legend::builder::*;
        pub(crate) use crate::generated::li::builder::*;
        pub(crate) use crate::generated::link::builder::*;
        pub(crate) use crate::generated::main::builder::*;
        pub(crate) use crate::generated::map::builder::*;
        pub(crate) use crate::generated::mark::builder::*;
        pub(crate) use crate::generated::menu::builder::*;
        pub(crate) use crate::generated::meta::builder::*;
        pub(crate) use crate::generated::meter::builder::*;
        pub(crate) use crate::generated::nav::builder::*;
        pub(crate) use crate::generated::noscript::builder::*;
        pub(crate) use crate::generated::object::builder::*;
        pub(crate) use crate::generated::ol::builder::*;
        pub(crate) use crate::generated::optgroup::builder::*;
        pub(crate) use crate::generated::option::builder::*;
        pub(crate) use crate::generated::output::builder::*;
        pub(crate) use crate::generated::p::builder::*;
        pub(crate) use crate::generated::picture::builder::*;
        pub(crate) use crate::generated::pre::builder::*;
        pub(crate) use crate::generated::progress::builder::*;
        pub(crate) use crate::generated::q::builder::*;
        pub(crate) use crate::generated::rp::builder::*;
        pub(crate) use crate::generated::rt::builder::*;
        pub(crate) use crate::generated::ruby::builder::*;
        pub(crate) use crate::generated::s::builder::*;
        pub(crate) use crate::generated::samp::builder::*;
        pub(crate) use crate::generated::script::builder::*;
        pub(crate) use crate::generated::search::builder::*;
        pub(crate) use crate::generated::section::builder::*;
        pub(crate) use crate::generated::select::builder::*;
        pub(crate) use crate::generated::slot::builder::*;
        pub(crate) use crate::generated::small::builder::*;
        pub(crate) use crate::generated::source::builder::*;
        pub(crate) use crate::generated::span::builder::*;
        pub(crate) use crate::generated::strong::builder::*;
        pub(crate) use crate::generated::style::builder::*;
        pub(crate) use crate::generated::sub::builder::*;
        pub(crate) use crate::generated::summary::builder::*;
        pub(crate) use crate::generated::sup::builder::*;
        pub(crate) use crate::generated::table::builder::*;
        pub(crate) use crate::generated::tbody::builder::*;
        pub(crate) use crate::generated::td::builder::*;
        pub(crate) use crate::generated::template::builder::*;
        pub(crate) use crate::generated::textarea::builder::*;
        pub(crate) use crate::generated::tfoot::builder::*;
        pub(crate) use crate::generated::th::builder::*;
        pub(crate) use crate::generated::thead::builder::*;
        pub(crate) use crate::generated::time::builder::*;
        pub(crate) use crate::generated::title::builder::*;
        pub(crate) use crate::generated::tr::builder::*;
        pub(crate) use crate::generated::track::builder::*;
        pub(crate) use crate::generated::u::builder::*;
        pub(crate) use crate::generated::ul::builder::*;
        pub(crate) use crate::generated::var::builder::*;
        pub(crate) use crate::generated::video::builder::*;
        pub(crate) use crate::generated::wbr::builder::*;
    }
    /// All auto-generated children
    pub mod children {
        pub(crate) use crate::generated::a::child::*;
        pub(crate) use crate::generated::abbr::child::*;
        pub(crate) use crate::generated::address::child::*;
        pub(crate) use crate::generated::area::child::*;
        pub(crate) use crate::generated::article::child::*;
        pub(crate) use crate::generated::aside::child::*;
        pub(crate) use crate::generated::audio::child::*;
        pub(crate) use crate::generated::b::child::*;
        pub(crate) use crate::generated::base::child::*;
        pub(crate) use crate::generated::bdi::child::*;
        pub(crate) use crate::generated::bdo::child::*;
        pub(crate) use crate::generated::blockquote::child::*;
        pub(crate) use crate::generated::body::child::*;
        pub(crate) use crate::generated::br::child::*;
        pub(crate) use crate::generated::button::child::*;
        pub(crate) use crate::generated::canvas::child::*;
        pub(crate) use crate::generated::caption::child::*;
        pub(crate) use crate::generated::cite::child::*;
        pub(crate) use crate::generated::code::child::*;
        pub(crate) use crate::generated::col::child::*;
        pub(crate) use crate::generated::colgroup::child::*;
        pub(crate) use crate::generated::data::child::*;
        pub(crate) use crate::generated::datalist::child::*;
        pub(crate) use crate::generated::dd::child::*;
        pub(crate) use crate::generated::del::child::*;
        pub(crate) use crate::generated::details::child::*;
        pub(crate) use crate::generated::dfn::child::*;
        pub(crate) use crate::generated::dialog::child::*;
        pub(crate) use crate::generated::div::child::*;
        pub(crate) use crate::generated::dl::child::*;
        pub(crate) use crate::generated::dt::child::*;
        pub(crate) use crate::generated::em::child::*;
        pub(crate) use crate::generated::embed::child::*;
        pub(crate) use crate::generated::fieldset::child::*;
        pub(crate) use crate::generated::figcaption::child::*;
        pub(crate) use crate::generated::figure::child::*;
        pub(crate) use crate::generated::footer::child::*;
        pub(crate) use crate::generated::form::child::*;
        pub(crate) use crate::generated::h1::child::*;
        pub(crate) use crate::generated::h2::child::*;
        pub(crate) use crate::generated::h3::child::*;
        pub(crate) use crate::generated::h4::child::*;
        pub(crate) use crate::generated::h5::child::*;
        pub(crate) use crate::generated::h6::child::*;
        pub(crate) use crate::generated::head::child::*;
        pub(crate) use crate::generated::header::child::*;
        pub(crate) use crate::generated::hgroup::child::*;
        pub(crate) use crate::generated::hr::child::*;
        pub(crate) use crate::generated::html::child::*;
        pub(crate) use crate::generated::i::child::*;
        pub(crate) use crate::generated::iframe::child::*;
        pub(crate) use crate::generated::img::child::*;
        pub(crate) use crate::generated::input::child::*;
        pub(crate) use crate::generated::ins::child::*;
        pub(crate) use crate::generated::kbd::child::*;
        pub(crate) use crate::generated::label::child::*;
        pub(crate) use crate::generated::legend::child::*;
        pub(crate) use crate::generated::li::child::*;
        pub(crate) use crate::generated::link::child::*;
        pub(crate) use crate::generated::main::child::*;
        pub(crate) use crate::generated::map::child::*;
        pub(crate) use crate::generated::mark::child::*;
        pub(crate) use crate::generated::menu::child::*;
        pub(crate) use crate::generated::meta::child::*;
        pub(crate) use crate::generated::meter::child::*;
        pub(crate) use crate::generated::nav::child::*;
        pub(crate) use crate::generated::noscript::child::*;
        pub(crate) use crate::generated::object::child::*;
        pub(crate) use crate::generated::ol::child::*;
        pub(crate) use crate::generated::optgroup::child::*;
        pub(crate) use crate::generated::option::child::*;
        pub(crate) use crate::generated::output::child::*;
        pub(crate) use crate::generated::p::child::*;
        pub(crate) use crate::generated::picture::child::*;
        pub(crate) use crate::generated::pre::child::*;
        pub(crate) use crate::generated::progress::child::*;
        pub(crate) use crate::generated::q::child::*;
        pub(crate) use crate::generated::rp::child::*;
        pub(crate) use crate::generated::rt::child::*;
        pub(crate) use crate::generated::ruby::child::*;
        pub(crate) use crate::generated::s::child::*;
        pub(crate) use crate::generated::samp::child::*;
        pub(crate) use crate::generated::script::child::*;
        pub(crate) use crate::generated::search::child::*;
        pub(crate) use crate::generated::section::child::*;
        pub(crate) use crate::generated::select::child::*;
        pub(crate) use crate::generated::slot::child::*;
        pub(crate) use crate::generated::small::child::*;
        pub(crate) use crate::generated::source::child::*;
        pub(crate) use crate::generated::span::child::*;
        pub(crate) use crate::generated::strong::child::*;
        pub(crate) use crate::generated::style::child::*;
        pub(crate) use crate::generated::sub::child::*;
        pub(crate) use crate::generated::summary::child::*;
        pub(crate) use crate::generated::sup::child::*;
        pub(crate) use crate::generated::table::child::*;
        pub(crate) use crate::generated::tbody::child::*;
        pub(crate) use crate::generated::td::child::*;
        pub(crate) use crate::generated::template::child::*;
        pub(crate) use crate::generated::textarea::child::*;
        pub(crate) use crate::generated::tfoot::child::*;
        pub(crate) use crate::generated::th::child::*;
        pub(crate) use crate::generated::thead::child::*;
        pub(crate) use crate::generated::time::child::*;
        pub(crate) use crate::generated::title::child::*;
        pub(crate) use crate::generated::tr::child::*;
        pub(crate) use crate::generated::track::child::*;
        pub(crate) use crate::generated::u::child::*;
        pub(crate) use crate::generated::ul::child::*;
        pub(crate) use crate::generated::var::child::*;
        pub(crate) use crate::generated::video::child::*;
        pub(crate) use crate::generated::wbr::child::*;
    }
}
/// Modules according to the MDN mappings.
pub(crate) mod mdn {
    pub mod content {
        pub mod elements {
            pub use crate::generated::aside::element::*;
            pub use crate::generated::nav::element::*;
            pub use crate::generated::header::element::*;
            pub use crate::generated::h6::element::*;
            pub use crate::generated::footer::element::*;
            pub use crate::generated::section::element::*;
            pub use crate::generated::h1::element::*;
            pub use crate::generated::hgroup::element::*;
            pub use crate::generated::address::element::*;
            pub use crate::generated::h3::element::*;
            pub use crate::generated::h2::element::*;
            pub use crate::generated::article::element::*;
            pub use crate::generated::h5::element::*;
            pub use crate::generated::h4::element::*;
            pub use crate::generated::main::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::aside::child::*;
            pub use crate::generated::nav::child::*;
            pub use crate::generated::header::child::*;
            pub use crate::generated::h6::child::*;
            pub use crate::generated::footer::child::*;
            pub use crate::generated::section::child::*;
            pub use crate::generated::h1::child::*;
            pub use crate::generated::hgroup::child::*;
            pub use crate::generated::address::child::*;
            pub use crate::generated::h3::child::*;
            pub use crate::generated::h2::child::*;
            pub use crate::generated::article::child::*;
            pub use crate::generated::h5::child::*;
            pub use crate::generated::h4::child::*;
            pub use crate::generated::main::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::aside::builder::*;
            pub use crate::generated::nav::builder::*;
            pub use crate::generated::header::builder::*;
            pub use crate::generated::h6::builder::*;
            pub use crate::generated::footer::builder::*;
            pub use crate::generated::section::builder::*;
            pub use crate::generated::h1::builder::*;
            pub use crate::generated::hgroup::builder::*;
            pub use crate::generated::address::builder::*;
            pub use crate::generated::h3::builder::*;
            pub use crate::generated::h2::builder::*;
            pub use crate::generated::article::builder::*;
            pub use crate::generated::h5::builder::*;
            pub use crate::generated::h4::builder::*;
            pub use crate::generated::main::builder::*;
        }
    }
    pub mod edits {
        pub mod elements {
            pub use crate::generated::del::element::*;
            pub use crate::generated::ins::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::del::child::*;
            pub use crate::generated::ins::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::del::builder::*;
            pub use crate::generated::ins::builder::*;
        }
    }
    pub mod embedded {
        pub mod elements {
            pub use crate::generated::embed::element::*;
            pub use crate::generated::iframe::element::*;
            pub use crate::generated::object::element::*;
            pub use crate::generated::picture::element::*;
            pub use crate::generated::source::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::embed::child::*;
            pub use crate::generated::iframe::child::*;
            pub use crate::generated::object::child::*;
            pub use crate::generated::picture::child::*;
            pub use crate::generated::source::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::embed::builder::*;
            pub use crate::generated::iframe::builder::*;
            pub use crate::generated::object::builder::*;
            pub use crate::generated::picture::builder::*;
            pub use crate::generated::source::builder::*;
        }
    }
    pub mod forms {
        pub mod elements {
            pub use crate::generated::button::element::*;
            pub use crate::generated::datalist::element::*;
            pub use crate::generated::fieldset::element::*;
            pub use crate::generated::form::element::*;
            pub use crate::generated::input::element::*;
            pub use crate::generated::label::element::*;
            pub use crate::generated::legend::element::*;
            pub use crate::generated::meter::element::*;
            pub use crate::generated::optgroup::element::*;
            pub use crate::generated::option::element::*;
            pub use crate::generated::output::element::*;
            pub use crate::generated::progress::element::*;
            pub use crate::generated::search::element::*;
            pub use crate::generated::select::element::*;
            pub use crate::generated::textarea::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::button::child::*;
            pub use crate::generated::datalist::child::*;
            pub use crate::generated::fieldset::child::*;
            pub use crate::generated::form::child::*;
            pub use crate::generated::input::child::*;
            pub use crate::generated::label::child::*;
            pub use crate::generated::legend::child::*;
            pub use crate::generated::meter::child::*;
            pub use crate::generated::optgroup::child::*;
            pub use crate::generated::option::child::*;
            pub use crate::generated::output::child::*;
            pub use crate::generated::progress::child::*;
            pub use crate::generated::search::child::*;
            pub use crate::generated::select::child::*;
            pub use crate::generated::textarea::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::button::builder::*;
            pub use crate::generated::datalist::builder::*;
            pub use crate::generated::fieldset::builder::*;
            pub use crate::generated::form::builder::*;
            pub use crate::generated::input::builder::*;
            pub use crate::generated::label::builder::*;
            pub use crate::generated::legend::builder::*;
            pub use crate::generated::meter::builder::*;
            pub use crate::generated::optgroup::builder::*;
            pub use crate::generated::option::builder::*;
            pub use crate::generated::output::builder::*;
            pub use crate::generated::progress::builder::*;
            pub use crate::generated::search::builder::*;
            pub use crate::generated::select::builder::*;
            pub use crate::generated::textarea::builder::*;
        }
    }
    pub mod inline_text {
        pub mod elements {
            pub use crate::generated::a::element::*;
            pub use crate::generated::abbr::element::*;
            pub use crate::generated::b::element::*;
            pub use crate::generated::bdi::element::*;
            pub use crate::generated::bdo::element::*;
            pub use crate::generated::br::element::*;
            pub use crate::generated::cite::element::*;
            pub use crate::generated::code::element::*;
            pub use crate::generated::data::element::*;
            pub use crate::generated::dfn::element::*;
            pub use crate::generated::em::element::*;
            pub use crate::generated::i::element::*;
            pub use crate::generated::kbd::element::*;
            pub use crate::generated::mark::element::*;
            pub use crate::generated::q::element::*;
            pub use crate::generated::rp::element::*;
            pub use crate::generated::rt::element::*;
            pub use crate::generated::ruby::element::*;
            pub use crate::generated::s::element::*;
            pub use crate::generated::samp::element::*;
            pub use crate::generated::small::element::*;
            pub use crate::generated::span::element::*;
            pub use crate::generated::strong::element::*;
            pub use crate::generated::sub::element::*;
            pub use crate::generated::sup::element::*;
            pub use crate::generated::time::element::*;
            pub use crate::generated::u::element::*;
            pub use crate::generated::var::element::*;
            pub use crate::generated::wbr::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::a::child::*;
            pub use crate::generated::abbr::child::*;
            pub use crate::generated::b::child::*;
            pub use crate::generated::bdi::child::*;
            pub use crate::generated::bdo::child::*;
            pub use crate::generated::br::child::*;
            pub use crate::generated::cite::child::*;
            pub use crate::generated::code::child::*;
            pub use crate::generated::data::child::*;
            pub use crate::generated::dfn::child::*;
            pub use crate::generated::em::child::*;
            pub use crate::generated::i::child::*;
            pub use crate::generated::kbd::child::*;
            pub use crate::generated::mark::child::*;
            pub use crate::generated::q::child::*;
            pub use crate::generated::rp::child::*;
            pub use crate::generated::rt::child::*;
            pub use crate::generated::ruby::child::*;
            pub use crate::generated::s::child::*;
            pub use crate::generated::samp::child::*;
            pub use crate::generated::small::child::*;
            pub use crate::generated::span::child::*;
            pub use crate::generated::strong::child::*;
            pub use crate::generated::sub::child::*;
            pub use crate::generated::sup::child::*;
            pub use crate::generated::time::child::*;
            pub use crate::generated::u::child::*;
            pub use crate::generated::var::child::*;
            pub use crate::generated::wbr::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::a::builder::*;
            pub use crate::generated::abbr::builder::*;
            pub use crate::generated::b::builder::*;
            pub use crate::generated::bdi::builder::*;
            pub use crate::generated::bdo::builder::*;
            pub use crate::generated::br::builder::*;
            pub use crate::generated::cite::builder::*;
            pub use crate::generated::code::builder::*;
            pub use crate::generated::data::builder::*;
            pub use crate::generated::dfn::builder::*;
            pub use crate::generated::em::builder::*;
            pub use crate::generated::i::builder::*;
            pub use crate::generated::kbd::builder::*;
            pub use crate::generated::mark::builder::*;
            pub use crate::generated::q::builder::*;
            pub use crate::generated::rp::builder::*;
            pub use crate::generated::rt::builder::*;
            pub use crate::generated::ruby::builder::*;
            pub use crate::generated::s::builder::*;
            pub use crate::generated::samp::builder::*;
            pub use crate::generated::small::builder::*;
            pub use crate::generated::span::builder::*;
            pub use crate::generated::strong::builder::*;
            pub use crate::generated::sub::builder::*;
            pub use crate::generated::sup::builder::*;
            pub use crate::generated::time::builder::*;
            pub use crate::generated::u::builder::*;
            pub use crate::generated::var::builder::*;
            pub use crate::generated::wbr::builder::*;
        }
    }
    pub mod interactive {
        pub mod elements {
            pub use crate::generated::details::element::*;
            pub use crate::generated::dialog::element::*;
            pub use crate::generated::summary::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::details::child::*;
            pub use crate::generated::dialog::child::*;
            pub use crate::generated::summary::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::details::builder::*;
            pub use crate::generated::dialog::builder::*;
            pub use crate::generated::summary::builder::*;
        }
    }
    pub mod media {
        pub mod elements {
            pub use crate::generated::area::element::*;
            pub use crate::generated::audio::element::*;
            pub use crate::generated::img::element::*;
            pub use crate::generated::map::element::*;
            pub use crate::generated::track::element::*;
            pub use crate::generated::video::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::area::child::*;
            pub use crate::generated::audio::child::*;
            pub use crate::generated::img::child::*;
            pub use crate::generated::map::child::*;
            pub use crate::generated::track::child::*;
            pub use crate::generated::video::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::area::builder::*;
            pub use crate::generated::audio::builder::*;
            pub use crate::generated::img::builder::*;
            pub use crate::generated::map::builder::*;
            pub use crate::generated::track::builder::*;
            pub use crate::generated::video::builder::*;
        }
    }
    pub mod metadata {
        pub mod elements {
            pub use crate::generated::base::element::*;
            pub use crate::generated::head::element::*;
            pub use crate::generated::link::element::*;
            pub use crate::generated::meta::element::*;
            pub use crate::generated::style::element::*;
            pub use crate::generated::title::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::base::child::*;
            pub use crate::generated::head::child::*;
            pub use crate::generated::link::child::*;
            pub use crate::generated::meta::child::*;
            pub use crate::generated::style::child::*;
            pub use crate::generated::title::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::base::builder::*;
            pub use crate::generated::head::builder::*;
            pub use crate::generated::link::builder::*;
            pub use crate::generated::meta::builder::*;
            pub use crate::generated::style::builder::*;
            pub use crate::generated::title::builder::*;
        }
    }
    pub mod root {
        pub mod elements {
            pub use crate::generated::body::element::*;
            pub use crate::generated::html::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::body::child::*;
            pub use crate::generated::html::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::body::builder::*;
            pub use crate::generated::html::builder::*;
        }
    }
    pub mod scripting {
        pub mod elements {
            pub use crate::generated::canvas::element::*;
            pub use crate::generated::noscript::element::*;
            pub use crate::generated::script::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::canvas::child::*;
            pub use crate::generated::noscript::child::*;
            pub use crate::generated::script::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::canvas::builder::*;
            pub use crate::generated::noscript::builder::*;
            pub use crate::generated::script::builder::*;
        }
    }
    pub mod tables {
        pub mod elements {
            pub use crate::generated::caption::element::*;
            pub use crate::generated::col::element::*;
            pub use crate::generated::colgroup::element::*;
            pub use crate::generated::table::element::*;
            pub use crate::generated::tbody::element::*;
            pub use crate::generated::td::element::*;
            pub use crate::generated::tfoot::element::*;
            pub use crate::generated::th::element::*;
            pub use crate::generated::thead::element::*;
            pub use crate::generated::tr::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::caption::child::*;
            pub use crate::generated::col::child::*;
            pub use crate::generated::colgroup::child::*;
            pub use crate::generated::table::child::*;
            pub use crate::generated::tbody::child::*;
            pub use crate::generated::td::child::*;
            pub use crate::generated::tfoot::child::*;
            pub use crate::generated::th::child::*;
            pub use crate::generated::thead::child::*;
            pub use crate::generated::tr::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::caption::builder::*;
            pub use crate::generated::col::builder::*;
            pub use crate::generated::colgroup::builder::*;
            pub use crate::generated::table::builder::*;
            pub use crate::generated::tbody::builder::*;
            pub use crate::generated::td::builder::*;
            pub use crate::generated::tfoot::builder::*;
            pub use crate::generated::th::builder::*;
            pub use crate::generated::thead::builder::*;
            pub use crate::generated::tr::builder::*;
        }
    }
    pub mod text_content {
        pub mod elements {
            pub use crate::generated::blockquote::element::*;
            pub use crate::generated::dd::element::*;
            pub use crate::generated::div::element::*;
            pub use crate::generated::dl::element::*;
            pub use crate::generated::dt::element::*;
            pub use crate::generated::figcaption::element::*;
            pub use crate::generated::figure::element::*;
            pub use crate::generated::hr::element::*;
            pub use crate::generated::li::element::*;
            pub use crate::generated::menu::element::*;
            pub use crate::generated::ol::element::*;
            pub use crate::generated::p::element::*;
            pub use crate::generated::pre::element::*;
            pub use crate::generated::ul::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::blockquote::child::*;
            pub use crate::generated::dd::child::*;
            pub use crate::generated::div::child::*;
            pub use crate::generated::dl::child::*;
            pub use crate::generated::dt::child::*;
            pub use crate::generated::figcaption::child::*;
            pub use crate::generated::figure::child::*;
            pub use crate::generated::hr::child::*;
            pub use crate::generated::li::child::*;
            pub use crate::generated::menu::child::*;
            pub use crate::generated::ol::child::*;
            pub use crate::generated::p::child::*;
            pub use crate::generated::pre::child::*;
            pub use crate::generated::ul::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::blockquote::builder::*;
            pub use crate::generated::dd::builder::*;
            pub use crate::generated::div::builder::*;
            pub use crate::generated::dl::builder::*;
            pub use crate::generated::dt::builder::*;
            pub use crate::generated::figcaption::builder::*;
            pub use crate::generated::figure::builder::*;
            pub use crate::generated::hr::builder::*;
            pub use crate::generated::li::builder::*;
            pub use crate::generated::menu::builder::*;
            pub use crate::generated::ol::builder::*;
            pub use crate::generated::p::builder::*;
            pub use crate::generated::pre::builder::*;
            pub use crate::generated::ul::builder::*;
        }
    }
    pub mod web_components {
        pub mod elements {
            pub use crate::generated::slot::element::*;
            pub use crate::generated::template::element::*;
        }
        /// Child elements
        pub mod children {
            pub use crate::generated::slot::child::*;
            pub use crate::generated::template::child::*;
        }
        /// Element builders
        pub mod builders {
            pub use crate::generated::slot::builder::*;
            pub use crate::generated::template::builder::*;
        }
    }
}
